Bug 549903 - Use better app specific icon for visualvm
Use better app specific icon for visualvm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: visualvm (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-22 18:00 EST by Ville Skyttä
Modified: 2011-12-17 07:47 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.3.3-1.3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-17 07:47:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use better icon for visualvm (2.11 KB, patch)
2009-12-22 18:00 EST, Ville Skyttä
no flags Details | Diff
Updated, upstreamable patch (5.88 KB, patch)
2011-06-02 16:52 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2009-12-22 18:00:34 EST
Created attachment 379942 [details]
Use better icon for visualvm

Visualvm's menu entry uses the generic java icon, but there's a better app specific one available as well.

The attached patch (untested, package build takes way too long on my box) should work or at least give some ideas how to do it.  Better of course if upstream would ship the icons directly as pngs so there would be no need to convert them.
Comment 1 Bug Zapper 2010-03-15 09:40:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-02 13:03:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ville Skyttä 2011-06-02 16:52:07 EDT
Created attachment 502638 [details]
Updated, upstreamable patch

Here's an updated patch against current devel, visualvm-1.3.2-icons.patch included in it should be upstreamable.  Let me know if you'd like me to commit and build this for devel.
Comment 4 Ville Skyttä 2011-12-17 07:47:16 EST
Pushed and built due to lack of feedback.

Note You need to log in before you can comment on or make changes to this bug.